net.snowflake.client.core

## Class ResultUtil.ResultOutput

- java.lang.Object
- - net.snowflake.client.core.ResultUtil.ResultOutput

Enclosing class:
  ResultUtil

    public static class ResultUtil.ResultOutput
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ResultOutput()`

### Method Summary

All Methods Instance Methods Concrete Methods
`com.fasterxml.jackson.databind.JsonNode` `getAndClearCurrentChunkRowset()`
`net.snowflake.common.core.SFBinaryFormat` `getBinaryFormatter()`
`long` `getChunkCount()`
`SnowflakeChunkDownloader` `getChunkDownloader()`
`int` `getColumnCount()`
`int` `getCurrentChunkRowCount()`
`net.snowflake.common.core.SnowflakeDateTimeFormat` `getDateFormatter()`
`String` `getFinalDatabaseName()`
`String` `getFinalSchemaName()`
`int` `getNumberOfBinds()`
`Map<String,Object>` `getParameters()`
`String` `getQueryId()`
`List<SnowflakeColumnMetadata>` `getResultColumnMetadata()`
`long` `getResultVersion()`
`long` `getSendResultTime()`
`SFStatementType` `getStatementType()`
`net.snowflake.common.core.SnowflakeDateTimeFormat` `getTimeFormatter()`
`net.snowflake.common.core.SnowflakeDateTimeFormat` `getTimestampLTZFormatter()`
`net.snowflake.common.core.SnowflakeDateTimeFormat` `getTimestampNTZFormatter()`
`net.snowflake.common.core.SnowflakeDateTimeFormat` `getTimestampTZFormatter()`
`TimeZone` `getTimeZone()`
`boolean` `isArrayBindSupported()`
`boolean` `isHonorClientTZForTimestampNTZ()`
`boolean` `isTotalRowCountTruncated()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultOutput

    public ResultOutput()

### Method Detail

#### getChunkCount

    public long getChunkCount()

#### isArrayBindSupported

    public boolean isArrayBindSupported()

#### getQueryId

    public String getQueryId()

#### getFinalDatabaseName

    public String getFinalDatabaseName()

#### getFinalSchemaName

    public String getFinalSchemaName()

#### getStatementType

    public SFStatementType getStatementType()

#### isTotalRowCountTruncated

    public boolean isTotalRowCountTruncated()

#### getParameters

    public Map<String,Object> getParameters()

#### getColumnCount

    public int getColumnCount()

#### getResultColumnMetadata

    public List<SnowflakeColumnMetadata> getResultColumnMetadata()

#### getAndClearCurrentChunkRowset

    public com.fasterxml.jackson.databind.JsonNode getAndClearCurrentChunkRowset()

#### getCurrentChunkRowCount

    public int getCurrentChunkRowCount()

#### getResultVersion

    public long getResultVersion()

#### getNumberOfBinds

    public int getNumberOfBinds()

#### getChunkDownloader

    public SnowflakeChunkDownloader getChunkDownloader()

#### getTimestampNTZFormatter

    public net.snowflake.common.core.SnowflakeDateTimeFormat getTimestampNTZFormatter()

#### getTimestampLTZFormatter

    public net.snowflake.common.core.SnowflakeDateTimeFormat getTimestampLTZFormatter()

#### getTimestampTZFormatter

    public net.snowflake.common.core.SnowflakeDateTimeFormat getTimestampTZFormatter()

#### getDateFormatter

    public net.snowflake.common.core.SnowflakeDateTimeFormat getDateFormatter()

#### getTimeFormatter

    public net.snowflake.common.core.SnowflakeDateTimeFormat getTimeFormatter()

#### getTimeZone

    public TimeZone getTimeZone()

#### isHonorClientTZForTimestampNTZ

    public boolean isHonorClientTZForTimestampNTZ()

#### getBinaryFormatter

    public net.snowflake.common.core.SFBinaryFormat getBinaryFormatter()

#### getSendResultTime

    public long getSendResultTime()